Subject: [TLS] Issues and PRs for draft-ietf-tls-iana-registry-updates

From: Sean Turner <[email-masked]>
Date: Thu, 26 Jan 2017 14:23:48 -0500

I submitted a PR to address some editorial issues:
https://github.com/tlswg/draft-ietf-tls-iana-registry-updates/pull/5

I also created an issue/PR that adds a “recommended" column for exporters; its another registry that could use it.  I followed the same model as the CS registry, namely put a YES in ones defined in standards track RFCs and specify that future exporters need to say how to populate column as well as requiring that standards RFCs only get a YES.  The PR can be found here:
https://github.com/tlswg/draft-ietf-tls-iana-registry-updates/pull/9

We needed some designated expert instructions for exporters.  Again, I adopted the “verify publicly available spec” approach used elsewhere.  The PR can be found here:
https://github.com/tlswg/draft-ietf-tls-iana-registry-updates/pull/10

We don’t have instructions for future CS registry values being marked as YES.  The question is should we require that all Yeses be from standards track RFCs:
https://github.com/tlswg/draft-ietf-tls-iana-registry-updates/issues/8
If do go with this approach, then we’ll need to add a pointer from the registry to this draft:
https://github.com/tlswg/draft-ietf-tls-iana-registry-updates/issues/11

Comments welcome.

spt